View Issue Details

IDProjectCategoryView StatusLast Update
0031466CommunityOCCT:Data Exchangepublic2020-12-02 17:12
Reporterventu Assigned Toabv  
PrioritynormalSeveritymajor 
Status closedResolutionfixed 
Product Version7.4.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031466: Data Exchange - Cannot import layers from STeP file (7.4.0 regression)
DescriptionImporting the attached file with 7.3.0 results in two layers, with some geometry on one and some on the other.
7.4.0 still imports the two layers, but any call to XCAFDoc_LayerTool->GetLayers() on any shape comes up empty. Similar ways to retrieve the layer the geometry lies on fail in a similar way.
Steps To Reproducebugs xde bug31466
Additional information
and documentation updates
The regression seems to come from the changes to XCAFDoc_ShapeTool::FindShape (XCAFDoc_ShapeTool.cxx:291), probably from the following commit #0030727:

    0030727: Data Exchange - Problems in Shape Tool

    Add protection from return of not top-level shape by FindShape method.
    Add protection against located roots into FindMainShape method.
    Add new Draw command for FindMainShape.
    Add flag findInstance to Draw command FindShape
TagsNo tags attached.
Test case numberde/iges_2/D8

Attached Files

  • Prova_Sum_livelli_130320.stp (1,645,750 bytes)

Activities

ventu

2020-03-26 18:50

reporter  

Prova_Sum_livelli_130320.stp (1,645,750 bytes)

git

2020-09-10 21:54

administrator   ~0094429

Branch CR31466 has been created by ika.

SHA-1: b901973a551c29a23b7d57800251b9424ca55b28


Detailed log of new commits:

Author: ika
Date: Thu Sep 10 21:56:08 2020 +0300

    0031466: Data Exchange - Cannot import layers from STeP file (7.4.0 regression)
    
    Return possibility to find layers fir subshapes.

git

2020-09-11 14:28

administrator   ~0094455

Branch CR31466 has been updated forcibly by ika.

SHA-1: d23f2b189269531b48f6b6c58bac6069cbd590c6

ika

2020-09-11 16:12

developer   ~0094477

Dear GKA,

in 0030727 hidden possibilities of FindShape about finding subshapes was prohibited, so the method of interest in Layer tool was broken for subshapes. Fixed.

Tests:
http://occt-tests/CR31466-master-ika-Products/Windows-64-VC14/diff_summary.html
http://occt-tests/CR31466-master-ika-Products/Debian80-64/diff_summary.html
http://occt-tests/CR31466-master-ika-OCCT/Windows-64-VC14/diff_summary.html
http://occt-tests/CR31466-master-ika-OCCT/Debian80-64/diff_summary.html

could you please review branch CR31466?

gka

2020-09-11 16:30

developer   ~0094478

Branch CR31466 has been reviewed

ika

2020-09-11 19:01

developer   ~0094511

Last edited: 2020-09-11 19:01

Dear bugmaster,

OCCT - CR31466
Products - NOT

bugmaster

2020-09-13 11:07

administrator   ~0094553

Combination -
OCCT branch : IR-2020-09-11
master SHA - d1b25684e9402d995dafec22fb98f83957d5fb76
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-11 SHA - a7e55a291cf6642cb4af945a999deeeb5f91272a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17333.360000000142 / 17325.800000000123 [+0.04%]
Products
Total CPU difference: 12056.720000000096 / 12079.64000000011 [-0.19%]
Windows-64-VC14:
OCCT
Total CPU difference: 18817.921875 / 18792.46875 [+0.14%]
Products
Total CPU difference: 13294.09375 / 13274.75 [+0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-09-13 11:45

administrator   ~0094568

Branch CR31466 has been deleted by inv.

SHA-1: d23f2b189269531b48f6b6c58bac6069cbd590c6

Related Changesets

occt: master b95caec4

2020-09-10 18:56:08

abv


Committer: abv Details Diff
0031466: Data Exchange - Cannot import layers from STeP file (7.4.0 regression)

Return possibility to find layers fir subshapes.
Affected Issues
0031466
mod - src/XCAFDoc/XCAFDoc_LayerTool.cxx Diff File
add - tests/bugs/xde/bug31466 Diff File

Issue History

Date Modified Username Field Change
2020-03-26 18:50 ventu New Issue
2020-03-26 18:50 ventu Assigned To => gka
2020-03-26 18:50 ventu File Added: Prova_Sum_livelli_130320.stp
2020-05-08 00:25 kgv Product Version => 7.4.0
2020-05-08 00:25 kgv Summary Cannot import layers from STeP file (7.4.0 regression) => Data Exchange - Cannot import layers from STeP file (7.4.0 regression)
2020-05-08 00:25 kgv Additional Information Updated
2020-09-10 14:21 gka Assigned To gka => ika
2020-09-10 21:54 git Note Added: 0094429
2020-09-11 11:32 kgv Target Version => 7.5.0
2020-09-11 14:28 git Note Added: 0094455
2020-09-11 16:12 ika Note Added: 0094477
2020-09-11 16:12 ika Assigned To ika => gka
2020-09-11 16:12 ika Status new => resolved
2020-09-11 16:12 ika Steps to Reproduce Updated
2020-09-11 16:30 gka Note Added: 0094478
2020-09-11 16:30 gka Assigned To gka => bugmaster
2020-09-11 16:30 gka Status resolved => reviewed
2020-09-11 19:01 ika Note Added: 0094511
2020-09-11 19:01 ika Note Edited: 0094511
2020-09-13 11:07 bugmaster Note Added: 0094553
2020-09-13 11:07 bugmaster Status reviewed => tested
2020-09-13 11:20 bugmaster Test case number => de/iges_2/D8
2020-09-13 11:24 abv Changeset attached => occt master b95caec4
2020-09-13 11:24 abv Assigned To bugmaster => abv
2020-09-13 11:24 abv Status tested => verified
2020-09-13 11:24 abv Resolution open => fixed
2020-09-13 11:45 git Note Added: 0094568
2020-12-02 16:43 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed